; The CMD file.
;

;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "holdc"
command = /c
time = 1

[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "holdy"
command = /y
time = 1

[Command]
name = "holdz"
command = /z
time = 1

[Command]
name = "holdstart"
command = /s
time = 1

[Command]
name = "a2"
command = a
time = 1

[Command]
name = "b2"
command = b
time = 1

[Command]
name = "c2"
command = c
time = 1

[Command]
name = "x2"
command = x
time = 1

[Command]
name = "y2"
command = y
time = 1

[Command]
name = "z2"
command = z
time = 1

[Command]
name = "start2"
command = s
time = 1

[Command]
name = "holdfwd2"
command = /$F
time = 1

[Command]
name = "holdback2"
command = /$B
time = 1

[Command]
name = "holdup2"
command = /$U
time = 1

[Command]
name = "holddown2"
command = /$D
time = 1

[Command]
name = "holda2"
command = /a
time = 1

[Command]
name = "holdb2"
command = /b
time = 1

[Command]
name = "holdc2"
command = /c
time = 1

[Command]
name = "holdx2"
command = /x
time = 1

[Command]
name = "holdy2"
command = /y
time = 1

[Command]
name = "holdz2"
command = /z
time = 1

[Command]
name = "holdstart2"
command = /s
time = 1

[Command]
name = "recovery2"
command = x+y
time = 1

[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

[State -1, AI Helper Check]
type = ChangeState
trigger1 = IsHelper(9741)
value = 9741

[State -1, AI Helper Check 2]
type = ChangeState
trigger1 = IsHelper(9742)
value = 9742

[State -1, AI]
type = VarSet
trigger1 = var(55)=0
var(52) = 0
[State Flag moving up]
type = VarSet
trigger1 = var(55)
trigger1 = (gametime%30)=0
trigger1 = random<500
var(52) = var(52) ^ floor(exp(1*ln(2)) + 0.5)
ignorehitpause = 1
persistent = 0
[State Flag moving left]
type = VarSet
trigger1 = var(55)
trigger1 = (gametime%3)=0
trigger1 = random<99
var(52) = var(52) ^ floor(exp(2*ln(2)) + 0.5)
ignorehitpause = 1
persistent = 0
[State Flag moving right]
type = VarSet
trigger1 = var(55)
trigger1 = (gametime%3)=0
trigger1 = random<99
var(52) = var(52) ^ floor(exp(3*ln(2)) + 0.5)
ignorehitpause = 1
persistent = 0
[State Flag shootgin]
type = VarSet
trigger1 = var(55)
trigger1 = (gametime%3)=0
trigger1 = random<99
var(52) = var(52) ^ floor(exp(5*ln(2)) + 0.5)
ignorehitpause = 1
persistent = 0

[State Flag shielding]
type = VarSet
triggerall = var(55)
triggerall = power > 0
trigger1 = !(var(52) & floor(exp(4*ln(2)) + 0.5))
trigger1 = numenemy
trigger1 = p2bodydist x <= 4
trigger1 = p2dist x >= -4
trigger1 = p2dist y >= 0
trigger1 = p2dist y <= 0 - enemynear,const(size.head.pos.y)
trigger1 = p2movetype != H
trigger2 = (var(52) & floor(exp(4*ln(2)) + 0.5))
trigger2 = numenemy
trigger2 = p2bodydist x > 4 || p2dist x < -4 ||  p2dist y < 0 || (p2dist y <= 0 - enemynear,const(size.head.pos.y)) || p2movetype = H
trigger3 = (var(52) & floor(exp(4*ln(2)) + 0.5))
trigger3 = !numenemy
var(52) = var(52) ^ floor(exp(4*ln(2)) + 0.5)
ignorehitpause = 1
persistent = 0


[State -1, Combo condition Check]
type = ChangeState
triggerall = roundstate <= 2
trigger1 = ctrl
trigger2 = stateno = 40
value = 201

[State -1, Hyperdrive]
type = ChangeState
triggerall = stateno = 201
triggerall = time
trigger1 = command = "b"
trigger2 = roundstate >= 3
value = 210



